import 'package:cs_resources/generated/assets.dart';
import 'package:cs_resources/generated/l10n.dart';

class FormIcons {

  //对应的type类型 对应的icon的图片与宽高
  static Map<String, Map<String, dynamic>> iconMap = {
    //Access Card-Owner
    '1': {
      'name': S.current.access_card_owner,
      'icon_path': Assets.formAccessCard,
      'width': 39.0,
      'height': 31.5,
    },
    //Access Card-Tenant
    '2': {
      'name': S.current.access_card_tenant,
      'icon_path': Assets.formAccessCard,
      'width': 39.0,
      'height': 31.5,
    },
    //Car Park Cancellation
    '3': {
      'name': S.current.car_park_cancellation,
      'icon_path': Assets.formCarVehicle,
      'width': 39.5,
      'height': 33.5,
    },
    //Moving In
    '4': {
      'name': S.current.moving_in,
      'icon_path': Assets.formMoveInOut,
      'width': 36.5,
      'height': 39.5,
    },
    //Moving Out
    '5': {
      'name': S.current.moving_out,
      'icon_path': Assets.formMoveInOut,
      'width': 36.5,
      'height': 39.5,
    },
    //Overnight Parking
    '6': {
      'name': S.current.overnight_parking,
      'icon_path': Assets.formOvernight,
      'width': 39.0,
      'height': 37.0,
    },
    //Registration of 2nd Vehicle
    '7': {
      'name': S.current.registration_of_2_vehicle,
      'icon_path': Assets.formCarVehicle,
      'width': 39.5,
      'height': 33.5,
    },
    //Renovation
    '8': {
      'name': S.current.renovation,
      'icon_path': Assets.formRenovation,
      'width': 35.5,
      'height': 40.0,
    },
    //Re-Registration of 1st Vehicle-Owner
    '9': {
      'name': S.current.re_registration_of_1_vehicle_owner,
      'icon_path': Assets.formCarVehicle,
      'width': 39.5,
      'height': 33.5,
    },
    //Re-Registration of 1st Vehicle-Owner
    '10': {
      'name': S.current.re_registration_of_1_vehicle_tenant,
      'icon_path': Assets.formCarVehicle,
      'width': 39.5,
      'height': 33.5,
    },
    //Re-Registration of Bicycles
    '11': {
      'name': S.current.re_registration_of_bicycle,
      'icon_path': Assets.formBicycles,
      'width': 39.0,
      'height': 33.5,
    },
    //Vehicle Label Replacement
    '12': {
      'name': S.current.vehicle_label_replacement,
      'icon_path': Assets.formLabeReplace,
      'width': 38.0,
      'height': 27.5,
    },
  };
}
